<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="STEP" id="0">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
infoTitle = "INFO";
info = hoverText;

// change info text based on mouse pos
if (mouse_x &gt;= 20 and mouse_x &lt; 200 and mouse_y &gt;= 32 and mouse_y &lt; 112) {
  var i;
  for (i = 0; i &lt; 10; i += 1) {
    if (mouse_y &gt;= 32+i*8 and mouse_y &lt; 32+(i+1)*8 and uiText[i] != "") {
      infoTitle = uiText[i];
      while (string_length(infoTitle) > 0 and string_char_at(infoTitle, string_length(infoTitle)) == " ") {
        infoTitle = string_delete(infoTitle, string_length(infoTitle), 1);
      }
      info = uiInfoText[i];
      if (info == "") info = "NO HELP YET.";
      break;
    }
  }
}
</argument>
      </arguments>
    </action>
  </actions>
</event>
